Html4_01TFDocDesc (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class Html4_01TFDocDesc

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
          edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
              edu.harvard.hul.ois.jhove.module.html.Html4TFDocDesc
                  edu.harvard.hul.ois.jhove.module.html.Html4_01TFDocDesc

Direct Known Subclasses:
  Html4_01FrameDocDesc, Html4_01TransDocDesc

    public abstract class Html4_01TFDocDesc

extends Html4TFDocDesc

Abstract class for the HTML 4.01 Transitional and Frameset document types. These are identical except for one element apiece, so nearly all the code is here or in its superclasses.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
`bigAttrs, biggerAttrs, blockContent, bodyContent, coreAttrs, eventAttrs, flowContent, fontMarkup, formMarkup, halignAtt, i18nAttrs, inlineContent, listContent, listMarkup, phraseMarkup, reservedAttrs, specialMarkup, thtdAtts, valignAtt`

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`bodyElement, commonTags, framesetElement, headElement, headings, htmlElement, supportedElements`

Constructor Summary
`Html4_01TFDocDesc()`

Method Summary
`protected static void` | `classInit4(java.util.Map stSupportedElements, int version)` Initialization code.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.Html4TFDocDesc
`addAElement, addAppletElement, addAreaElement, addBaseElement, addBasefontElement, addBlockquoteElement, addBrElement, addButtonElement, addCaptionElement, addCenterElement, addDirElement, addDivElement, addDlElement, addFontElement, addFrameElement, addFramesetElement, addHeadElement, addHrElement, addInputElement, addLegendElement, addLiElement, addLinkElement, addMenuElement, addNoframesElement, addNoscriptElement, addObjectElement, addOlElement, addPElement, addPreElement, addScriptElement, addTableElement, addTrElement, addUlElement, classInit4`

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
`addAddressElement, addBdoElement, addBodyElement, addColElement, addColgroupElement, addDdElement, addDelElement, addDtElement, addFieldsetElement, addInsElement, addLabelElement, addMapElement, addMetaElement, addOptgroupElement, addOptionElement, addParamElement, addQElement, addSelectElement, addSpanElement, addStyleElement, addSubElement, addSupElement, addTbodyElement, addTdElement, addTextareaElement, addTfootElement, addTheadElement, addThElement, addTitleElement`

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`addRequiredAttribute, addSelfAttribute, addSimpleAttribute, addStringsToList, getMetadata, init, pushElementStack, removeStringsFromList, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Html4_01TFDocDesc

    public Html4_01TFDocDesc()

Method Detail

### classInit4

    protected static void classInit4(java.util.Map stSupportedElements,
                                     int version)

  Initialization code. This is called from the static initializer of our subclasses.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD